package com.mortals.xhx.module.customer.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.customer.model.vo.CustomerWorkDesignStatVo;
/**
* 客户作品统计实体对象
*
* @author zxfei
* @date 2022-06-08
*/

public class CustomerWorkDesignStatEntity extends CustomerWorkDesignStatVo {
    private static final long serialVersionUID = 1L;

    /**
    * 客户ID
    */
    private Long customerId;
    /**
    * 客户设计图片数量
    */
    private Integer customerDesignPictures;
    /**
    * 客户设计视频数量
    */
    private Integer customerDesignVideos;



    public CustomerWorkDesignStatEntity(){}
    /**
    * 获取 客户ID
    * @return Long
    */
    public Long getCustomerId(){
        return customerId;
    }
    /**
    * 设置 客户ID
    * @param customerId
    */
    public void setCustomerId(Long customerId){
        this.customerId = customerId;
    }
    /**
    * 获取 客户设计图片数量
    * @return Integer
    */
    public Integer getCustomerDesignPictures(){
        return customerDesignPictures;
    }
    /**
    * 设置 客户设计图片数量
    * @param customerDesignPictures
    */
    public void setCustomerDesignPictures(Integer customerDesignPictures){
        this.customerDesignPictures = customerDesignPictures;
    }
    /**
    * 获取 客户设计视频数量
    * @return Integer
    */
    public Integer getCustomerDesignVideos(){
        return customerDesignVideos;
    }
    /**
    * 设置 客户设计视频数量
    * @param customerDesignVideos
    */
    public void setCustomerDesignVideos(Integer customerDesignVideos){
        this.customerDesignVideos = customerDesignVideos;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof CustomerWorkDesignStatEntity) {
            CustomerWorkDesignStatEntity tmp = (CustomerWorkDesignStatEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",customerId:").append(getCustomerId());
        sb.append(",customerDesignPictures:").append(getCustomerDesignPictures());
        sb.append(",customerDesignVideos:").append(getCustomerDesignVideos());
        return sb.toString();
    }

    public void initAttrValue(){

            this.customerId = null;

            this.customerDesignPictures = null;

            this.customerDesignVideos = null;
    }
}