package com.mortals.xhx.module.customer.service;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.model.Result;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.customer.model.CustomerTrialEntity;
import com.mortals.xhx.module.customer.model.CustomerTrialEntityExt;

/**
* CustomerTrialService
*
* 客户试用申请 service接口
*
* @author zxfei
* @date 2022-06-08
*/
public interface CustomerTrialService extends ICRUDService<CustomerTrialEntity,Long>{

    Result<CustomerTrialEntityExt> findExt(CustomerTrialEntity params, PageInfo pageInfo, Context context) throws AppException;

    /**
     * 受理客户试用申请
     * @param entity
     * @param context
     */
    void doAccept(CustomerTrialEntity entity,Context context) throws AppException;
}