package com.mortals.xhx.module.help.model;

import java.util.List;
/**
* 帮助信息查询对象
*
* @author zxfei
* @date 2022-06-29
*/
public class HelpQuery extends HelpEntity {
    /** 开始 帮助ID，主键，自增长 */
    private Long idStart;

    /** 结束 帮助ID，主键，自增长 */
    private Long idEnd;

    /** 增加 帮助ID，主键，自增长 */
    private Long idIncrement;

    /** 帮助ID，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 排序号 */
    private Integer sortNumStart;

    /** 结束 排序号 */
    private Integer sortNumEnd;

    /** 增加 排序号 */
    private Integer sortNumIncrement;

    /** 排序号列表 */
    private List <Integer> sortNumList;

    /** 问题标题 */
    private List<String> titleList;

    /** 问题内容 */
    private List<String> contentList;

    /** 问题回复 */
    private List<String> answerContentList;

    /** 开始 问题类型备用字段 */
    private Integer questionTypeStart;

    /** 结束 问题类型备用字段 */
    private Integer questionTypeEnd;

    /** 增加 问题类型备用字段 */
    private Integer questionTypeIncrement;

    /** 问题类型备用字段列表 */
    private List <Integer> questionTypeList;

    /** 开始 状态备用字段 */
    private Integer statusStart;

    /** 结束 状态备用字段 */
    private Integer statusEnd;

    /** 增加 状态备用字段 */
    private Integer statusIncrement;

    /** 状态备用字段列表 */
    private List <Integer> statusList;

    /** 开始 有用统计 */
    private Integer usefulStart;

    /** 结束 有用统计 */
    private Integer usefulEnd;

    /** 增加 有用统计 */
    private Integer usefulIncrement;

    /** 有用统计列表 */
    private List <Integer> usefulList;

    /** 开始 无用统计 */
    private Integer uselessStart;

    /** 结束 无用统计 */
    private Integer uselessEnd;

    /** 增加 无用统计 */
    private Integer uselessIncrement;

    /** 无用统计列表 */
    private List <Integer> uselessList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户名称 */
    private List<String> createUserNameList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** 开始 修改用户 */
    private Long updateUserIdStart;

    /** 结束 修改用户 */
    private Long updateUserIdEnd;

    /** 增加 修改用户 */
    private Long updateUserIdIncrement;

    /** 修改用户列表 */
    private List <Long> updateUserIdList;

    /** 修改用户名称 */
    private List<String> updateUserNameList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<HelpQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<HelpQuery> andConditionList;

    public HelpQuery(){}

    /**
    * 获取 开始 帮助ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 帮助ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 帮助ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 帮助ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 帮助ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 帮助ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 帮助ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 帮助ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 排序号
    * @return sortNumStart
    */
    public Integer getSortNumStart(){
        return this.sortNumStart;
    }

    /**
    * 设置 开始 排序号
    * @param sortNumStart
    */
    public void setSortNumStart(Integer sortNumStart){
        this.sortNumStart = sortNumStart;
    }

    /**
    * 获取 结束 排序号
    * @return $sortNumEnd
    */
    public Integer getSortNumEnd(){
        return this.sortNumEnd;
    }

    /**
    * 设置 结束 排序号
    * @param sortNumEnd
    */
    public void setSortNumEnd(Integer sortNumEnd){
        this.sortNumEnd = sortNumEnd;
    }

    /**
    * 获取 增加 排序号
    * @return sortNumIncrement
    */
    public Integer getSortNumIncrement(){
        return this.sortNumIncrement;
    }

    /**
    * 设置 增加 排序号
    * @param sortNumIncrement
    */
    public void setSortNumIncrement(Integer sortNumIncrement){
        this.sortNumIncrement = sortNumIncrement;
    }

    /**
    * 获取 排序号
    * @return sortNumList
    */
    public List<Integer> getSortNumList(){
        return this.sortNumList;
    }

    /**
    * 设置 排序号
    * @param sortNumList
    */
    public void setSortNumList(List<Integer> sortNumList){
        this.sortNumList = sortNumList;
    }

    /**
    * 获取 问题标题
    * @return titleList
    */
    public List<String> getTitleList(){
        return this.titleList;
    }

    /**
    * 设置 问题标题
    * @param titleList
    */
    public void setTitleList(List<String> titleList){
        this.titleList = titleList;
    }
    /**
    * 获取 问题内容
    * @return contentList
    */
    public List<String> getContentList(){
        return this.contentList;
    }

    /**
    * 设置 问题内容
    * @param contentList
    */
    public void setContentList(List<String> contentList){
        this.contentList = contentList;
    }
    /**
    * 获取 问题回复
    * @return answerContentList
    */
    public List<String> getAnswerContentList(){
        return this.answerContentList;
    }

    /**
    * 设置 问题回复
    * @param answerContentList
    */
    public void setAnswerContentList(List<String> answerContentList){
        this.answerContentList = answerContentList;
    }
    /**
    * 获取 开始 问题类型备用字段
    * @return questionTypeStart
    */
    public Integer getQuestionTypeStart(){
        return this.questionTypeStart;
    }

    /**
    * 设置 开始 问题类型备用字段
    * @param questionTypeStart
    */
    public void setQuestionTypeStart(Integer questionTypeStart){
        this.questionTypeStart = questionTypeStart;
    }

    /**
    * 获取 结束 问题类型备用字段
    * @return $questionTypeEnd
    */
    public Integer getQuestionTypeEnd(){
        return this.questionTypeEnd;
    }

    /**
    * 设置 结束 问题类型备用字段
    * @param questionTypeEnd
    */
    public void setQuestionTypeEnd(Integer questionTypeEnd){
        this.questionTypeEnd = questionTypeEnd;
    }

    /**
    * 获取 增加 问题类型备用字段
    * @return questionTypeIncrement
    */
    public Integer getQuestionTypeIncrement(){
        return this.questionTypeIncrement;
    }

    /**
    * 设置 增加 问题类型备用字段
    * @param questionTypeIncrement
    */
    public void setQuestionTypeIncrement(Integer questionTypeIncrement){
        this.questionTypeIncrement = questionTypeIncrement;
    }

    /**
    * 获取 问题类型备用字段
    * @return questionTypeList
    */
    public List<Integer> getQuestionTypeList(){
        return this.questionTypeList;
    }

    /**
    * 设置 问题类型备用字段
    * @param questionTypeList
    */
    public void setQuestionTypeList(List<Integer> questionTypeList){
        this.questionTypeList = questionTypeList;
    }

    /**
    * 获取 开始 状态备用字段
    * @return statusStart
    */
    public Integer getStatusStart(){
        return this.statusStart;
    }

    /**
    * 设置 开始 状态备用字段
    * @param statusStart
    */
    public void setStatusStart(Integer statusStart){
        this.statusStart = statusStart;
    }

    /**
    * 获取 结束 状态备用字段
    * @return $statusEnd
    */
    public Integer getStatusEnd(){
        return this.statusEnd;
    }

    /**
    * 设置 结束 状态备用字段
    * @param statusEnd
    */
    public void setStatusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
    }

    /**
    * 获取 增加 状态备用字段
    * @return statusIncrement
    */
    public Integer getStatusIncrement(){
        return this.statusIncrement;
    }

    /**
    * 设置 增加 状态备用字段
    * @param statusIncrement
    */
    public void setStatusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
    }

    /**
    * 获取 状态备用字段
    * @return statusList
    */
    public List<Integer> getStatusList(){
        return this.statusList;
    }

    /**
    * 设置 状态备用字段
    * @param statusList
    */
    public void setStatusList(List<Integer> statusList){
        this.statusList = statusList;
    }

    /**
    * 获取 开始 有用统计
    * @return usefulStart
    */
    public Integer getUsefulStart(){
        return this.usefulStart;
    }

    /**
    * 设置 开始 有用统计
    * @param usefulStart
    */
    public void setUsefulStart(Integer usefulStart){
        this.usefulStart = usefulStart;
    }

    /**
    * 获取 结束 有用统计
    * @return $usefulEnd
    */
    public Integer getUsefulEnd(){
        return this.usefulEnd;
    }

    /**
    * 设置 结束 有用统计
    * @param usefulEnd
    */
    public void setUsefulEnd(Integer usefulEnd){
        this.usefulEnd = usefulEnd;
    }

    /**
    * 获取 增加 有用统计
    * @return usefulIncrement
    */
    public Integer getUsefulIncrement(){
        return this.usefulIncrement;
    }

    /**
    * 设置 增加 有用统计
    * @param usefulIncrement
    */
    public void setUsefulIncrement(Integer usefulIncrement){
        this.usefulIncrement = usefulIncrement;
    }

    /**
    * 获取 有用统计
    * @return usefulList
    */
    public List<Integer> getUsefulList(){
        return this.usefulList;
    }

    /**
    * 设置 有用统计
    * @param usefulList
    */
    public void setUsefulList(List<Integer> usefulList){
        this.usefulList = usefulList;
    }

    /**
    * 获取 开始 无用统计
    * @return uselessStart
    */
    public Integer getUselessStart(){
        return this.uselessStart;
    }

    /**
    * 设置 开始 无用统计
    * @param uselessStart
    */
    public void setUselessStart(Integer uselessStart){
        this.uselessStart = uselessStart;
    }

    /**
    * 获取 结束 无用统计
    * @return $uselessEnd
    */
    public Integer getUselessEnd(){
        return this.uselessEnd;
    }

    /**
    * 设置 结束 无用统计
    * @param uselessEnd
    */
    public void setUselessEnd(Integer uselessEnd){
        this.uselessEnd = uselessEnd;
    }

    /**
    * 获取 增加 无用统计
    * @return uselessIncrement
    */
    public Integer getUselessIncrement(){
        return this.uselessIncrement;
    }

    /**
    * 设置 增加 无用统计
    * @param uselessIncrement
    */
    public void setUselessIncrement(Integer uselessIncrement){
        this.uselessIncrement = uselessIncrement;
    }

    /**
    * 获取 无用统计
    * @return uselessList
    */
    public List<Integer> getUselessList(){
        return this.uselessList;
    }

    /**
    * 设置 无用统计
    * @param uselessList
    */
    public void setUselessList(List<Integer> uselessList){
        this.uselessList = uselessList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户名称
    * @return createUserNameList
    */
    public List<String> getCreateUserNameList(){
        return this.createUserNameList;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public void setCreateUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
    }
    /**
    * 获取 开始 修改时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 修改时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 修改时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 修改时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 获取 开始 修改用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 修改用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 修改用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 修改用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 修改用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 修改用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 修改用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 修改用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 修改用户名称
    * @return updateUserNameList
    */
    public List<String> getUpdateUserNameList(){
        return this.updateUserNameList;
    }

    /**
    * 设置 修改用户名称
    * @param updateUserNameList
    */
    public void setUpdateUserNameList(List<String> updateUserNameList){
        this.updateUserNameList = updateUserNameList;
    }
    /**
    * 设置  帮助ID，主键，自增长
    * @param id
    */
    public HelpQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 帮助ID，主键，自增长
    * @param idStart
    */
    public HelpQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 帮助ID，主键，自增长
    * @param idEnd
    */
    public HelpQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 帮助ID，主键，自增长
    * @param idIncrement
    */
    public HelpQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 帮助ID，主键，自增长
    * @param idList
    */
    public HelpQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  排序号
    * @param sortNum
    */
    public HelpQuery sortNum(Integer sortNum){
	    setSortNum(sortNum);
		return this;
    }
	
	 /**
    * 设置 开始 排序号
    * @param sortNumStart
    */
    public HelpQuery sortNumStart(Integer sortNumStart){
		this.sortNumStart = sortNumStart;
		return this;
    }

    /**
    * 设置 结束 排序号
    * @param sortNumEnd
    */
    public HelpQuery sortNumEnd(Integer sortNumEnd){
		this.sortNumEnd = sortNumEnd;
		return this;
    }

    /**
    * 设置 增加 排序号
    * @param sortNumIncrement
    */
    public HelpQuery sortNumIncrement(Integer sortNumIncrement){
		this.sortNumIncrement = sortNumIncrement;
		return this;
    }

    /**
    * 设置 排序号
    * @param sortNumList
    */
    public HelpQuery sortNumList(List<Integer> sortNumList){
        this.sortNumList = sortNumList;
		return this;
        }


	/**
    * 设置 问题标题
    * @param title
    */
    public HelpQuery title(String title){
        setTitle(title);
		return this;
    }

    /**
    * 设置 问题标题
    * @param titleList
    */
    public HelpQuery titleList(List<String> titleList){
        this.titleList = titleList;
		return this;
    }


	/**
    * 设置 问题内容
    * @param content
    */
    public HelpQuery content(String content){
        setContent(content);
		return this;
    }

    /**
    * 设置 问题内容
    * @param contentList
    */
    public HelpQuery contentList(List<String> contentList){
        this.contentList = contentList;
		return this;
    }


	/**
    * 设置 问题回复
    * @param answerContent
    */
    public HelpQuery answerContent(String answerContent){
        setAnswerContent(answerContent);
		return this;
    }

    /**
    * 设置 问题回复
    * @param answerContentList
    */
    public HelpQuery answerContentList(List<String> answerContentList){
        this.answerContentList = answerContentList;
		return this;
    }

    /**
    * 设置  问题类型备用字段
    * @param questionType
    */
    public HelpQuery questionType(Integer questionType){
	    setQuestionType(questionType);
		return this;
    }
	
	 /**
    * 设置 开始 问题类型备用字段
    * @param questionTypeStart
    */
    public HelpQuery questionTypeStart(Integer questionTypeStart){
		this.questionTypeStart = questionTypeStart;
		return this;
    }

    /**
    * 设置 结束 问题类型备用字段
    * @param questionTypeEnd
    */
    public HelpQuery questionTypeEnd(Integer questionTypeEnd){
		this.questionTypeEnd = questionTypeEnd;
		return this;
    }

    /**
    * 设置 增加 问题类型备用字段
    * @param questionTypeIncrement
    */
    public HelpQuery questionTypeIncrement(Integer questionTypeIncrement){
		this.questionTypeIncrement = questionTypeIncrement;
		return this;
    }

    /**
    * 设置 问题类型备用字段
    * @param questionTypeList
    */
    public HelpQuery questionTypeList(List<Integer> questionTypeList){
        this.questionTypeList = questionTypeList;
		return this;
        }

    /**
    * 设置  状态备用字段
    * @param status
    */
    public HelpQuery status(Integer status){
	    setStatus(status);
		return this;
    }
	
	 /**
    * 设置 开始 状态备用字段
    * @param statusStart
    */
    public HelpQuery statusStart(Integer statusStart){
		this.statusStart = statusStart;
		return this;
    }

    /**
    * 设置 结束 状态备用字段
    * @param statusEnd
    */
    public HelpQuery statusEnd(Integer statusEnd){
		this.statusEnd = statusEnd;
		return this;
    }

    /**
    * 设置 增加 状态备用字段
    * @param statusIncrement
    */
    public HelpQuery statusIncrement(Integer statusIncrement){
		this.statusIncrement = statusIncrement;
		return this;
    }

    /**
    * 设置 状态备用字段
    * @param statusList
    */
    public HelpQuery statusList(List<Integer> statusList){
        this.statusList = statusList;
		return this;
        }

    /**
    * 设置  有用统计
    * @param useful
    */
    public HelpQuery useful(Integer useful){
	    setUseful(useful);
		return this;
    }
	
	 /**
    * 设置 开始 有用统计
    * @param usefulStart
    */
    public HelpQuery usefulStart(Integer usefulStart){
		this.usefulStart = usefulStart;
		return this;
    }

    /**
    * 设置 结束 有用统计
    * @param usefulEnd
    */
    public HelpQuery usefulEnd(Integer usefulEnd){
		this.usefulEnd = usefulEnd;
		return this;
    }

    /**
    * 设置 增加 有用统计
    * @param usefulIncrement
    */
    public HelpQuery usefulIncrement(Integer usefulIncrement){
		this.usefulIncrement = usefulIncrement;
		return this;
    }

    /**
    * 设置 有用统计
    * @param usefulList
    */
    public HelpQuery usefulList(List<Integer> usefulList){
        this.usefulList = usefulList;
		return this;
        }

    /**
    * 设置  无用统计
    * @param useless
    */
    public HelpQuery useless(Integer useless){
	    setUseless(useless);
		return this;
    }
	
	 /**
    * 设置 开始 无用统计
    * @param uselessStart
    */
    public HelpQuery uselessStart(Integer uselessStart){
		this.uselessStart = uselessStart;
		return this;
    }

    /**
    * 设置 结束 无用统计
    * @param uselessEnd
    */
    public HelpQuery uselessEnd(Integer uselessEnd){
		this.uselessEnd = uselessEnd;
		return this;
    }

    /**
    * 设置 增加 无用统计
    * @param uselessIncrement
    */
    public HelpQuery uselessIncrement(Integer uselessIncrement){
		this.uselessIncrement = uselessIncrement;
		return this;
    }

    /**
    * 设置 无用统计
    * @param uselessList
    */
    public HelpQuery uselessList(List<Integer> uselessList){
        this.uselessList = uselessList;
		return this;
        }


    /**
    * 设置  创建用户
    * @param createUserId
    */
    public HelpQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public HelpQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public HelpQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public HelpQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public HelpQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }


	/**
    * 设置 创建用户名称
    * @param createUserName
    */
    public HelpQuery createUserName(String createUserName){
        setCreateUserName(createUserName);
		return this;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public HelpQuery createUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
		return this;
    }


    /**
    * 设置  修改用户
    * @param updateUserId
    */
    public HelpQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 修改用户
    * @param updateUserIdStart
    */
    public HelpQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 修改用户
    * @param updateUserIdEnd
    */
    public HelpQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 修改用户
    * @param updateUserIdIncrement
    */
    public HelpQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 修改用户
    * @param updateUserIdList
    */
    public HelpQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }


	/**
    * 设置 修改用户名称
    * @param updateUserName
    */
    public HelpQuery updateUserName(String updateUserName){
        setUpdateUserName(updateUserName);
		return this;
    }

    /**
    * 设置 修改用户名称
    * @param updateUserNameList
    */
    public HelpQuery updateUserNameList(List<String> updateUserNameList){
        this.updateUserNameList = updateUserNameList;
		return this;
    }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<HelpQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<HelpQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<HelpQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<HelpQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}