package com.mortals.xhx.module.help.web;

import com.mortals.framework.common.IBaseEnum;
import com.mortals.framework.model.Context;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.common.code.QuestionStatusEnum;
import com.mortals.xhx.module.help.model.HelpEntity;
import com.mortals.xhx.module.help.service.HelpService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;
/**
*
* 帮助信息
*
* @author zxfei
* @date 2022-06-28
*/
@RestController
@RequestMapping("help")
public class HelpController extends BaseCRUDJsonBodyMappingController<HelpService,HelpEntity,Long> {

    public HelpController(){
        super.setModuleDesc( "帮助信息");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model,"status", IBaseEnum.getEnumMap(QuestionStatusEnum.class));
        super.init(model, context);
    }


}